org.eclipse.draw2d

## Class ConnectionRouter.NullConnectionRouter

- java.lang.Object
- - org.eclipse.draw2d.AbstractRouter
  - - org.eclipse.draw2d.ConnectionRouter.NullConnectionRouter

All Implemented Interfaces:
  ConnectionRouter

Enclosing interface:
  ConnectionRouter

    public static class ConnectionRouter.NullConnectionRouter
    extends AbstractRouter

Routes Connections directly from the source anchor to the target anchor with no bendpoints in between.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.ConnectionRouter

`ConnectionRouter.NullConnectionRouter`

### Field Summary

### Fields inherited from interface org.eclipse.draw2d.ConnectionRouter

`NULL`

### Method Summary

Methods
`void` `route(Connection conn)` Routes the given Connection directly between the source and target anchors.

### Methods inherited from class org.eclipse.draw2d.AbstractRouter

`getConstraint, getEndPoint, getStartPoint, invalidate, remove, setConstraint`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### route

    public void route(Connection conn)

Routes the given Connection directly between the source and target anchors.

Parameters:
  `conn` - the connection to be routed